#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję common_chars(string1, string2), która zwraca alfabetycznie
uporządkowaną listę wspólnych liter z lańcuchów string1 i string2.
Oba napisy będą składać się wyłacznie z małych liter.
"""

def common_chars(string1, string2):
    string1 = string1.replace(' ','')
    string2 = string2.replace(' ','')
    wynik = list(sorted(set([char for char in string1 if char in string2])))
    return wynik




def tests(f):
    inputs = [["this is a string", "ala ma kota"]]
    outputs = [['a', 't']]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(common_chars))
