#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Napisz funkcję sum_div35(n), która zwraca sumę wszystkich liczb podzielnych
przez 3 lub 5 mniejszych niż n.
"""

def sum_div35(n):
        x = 0
        return sum(x for x in range(0,n) if x % 3 == 0 or x % 5 == 0)


def tests(f):
    inputs = [[10], [100], [3845]]
    outputs = [23, 2318, 3446403]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(sum_div35))

